Subject: bug#34169: 27.0.50; Display-buffer function to use whole frame

From: Alex Branham <[email-masked]>
Date: Tue, 22 Jan 2019 15:29:53 -0600

It would be nice if Emacs's display-buffer routine had some way to
display the buffer in the current frame and delete the other windows. I
found `magit--display-buffer-fullframe' which seems to do what I want.
Can something like this be added to window.el?

Thanks,
Alex

(defun magit--display-buffer-fullframe (buffer alist)
  (when-let ((window (or (display-buffer-reuse-window buffer alist)
                         (display-buffer-same-window buffer alist)
                         (display-buffer-pop-up-window buffer alist)
                         (display-buffer-use-some-window buffer alist))))
    (delete-other-windows window)
    window))